#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_ttf.h"
#include "SDL/SDL_mixer.h"

#include "../functions/surfaces.hpp"
#include "../timer/timer.hpp"

#include <sstream>

#ifndef MENU_HPP_
#define MENU_HPP_

const int Menus = 5;

class menu{

	private:

		Mix_Chunk *SelectSound, *SwitchSound;

		SDL_Surface* MenuBG;
		SDL_Surface* Fog;
		int MenuCounter;

		int menuY[ Menus ];
		int bgY;
		int FogY, FogX;

		SDL_Color menucolor, activecolor;
		TTF_Font* font;

		int SelectedMenu;

		bool started;

	public:

		menu();
		~menu();

		void handle_event( SDL_Event event, bool & Difficulty );

		void show( SDL_Surface* & screen, bool & Difficulty );

		void credits( SDL_Surface* & screen );
		void help( SDL_Surface* & screen );

		int selectedmenu();
		void deselect();
		void notStarted();

};
#endif /* MENU_HPP_ */
